Package org.apache.storm.hdfs.spout

# Class SequenceFileReader<KeyT extends org.apache.hadoop.io.Writable,ValueT extends org.apache.hadoop.io.Writable>

java.lang.Object
org.apache.storm.hdfs.spout.SequenceFileReader<KeyT,ValueT>

public class SequenceFileReader<KeyT extends org.apache.hadoop.io.Writable,ValueT extends org.apache.hadoop.io.Writable> extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SequenceFileReader.Offset`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BUFFER_SIZE`
  `static final String[]`
  `defaultFields`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceFileReader(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, Map<String,Object> conf)`
  `SequenceFileReader(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, Map<String,Object> conf, String offset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `equals(Object o)`
  `SequenceFileReader.Offset`
  `getFileOffset()`
  `org.apache.hadoop.fs.Path`
  `getFilePath()`
  `int`
  `hashCode()`
  `List<Object>`
  `next()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### defaultFields

    public static final String[] defaultFields

  - ### BUFFER_SIZE

    public static final String BUFFER_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SequenceFileReader

    public SequenceFileReader(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, Map<String,Object> conf) throws IOException
    Throws:
      `IOException`

  - ### SequenceFileReader

    public SequenceFileReader(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, Map<String,Object> conf, String offset) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### next

    public List<Object> next() throws IOException, ParseException
    Throws:
      `IOException`
      `ParseException`

  - ### close

    public void close()

  - ### getFileOffset

    public SequenceFileReader.Offset getFileOffset()

  - ### getFilePath

    public org.apache.hadoop.fs.Path getFilePath()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`